# Creating Clients

Import the necessary dependencies and create an instance of the `ZebecStreamClient` class:

```javascript
import { ZebecStreamClient } from "@zebec-protocol/zebec-bnb-sdk";

// Create an instance of ZebecStreamClient
const zebecClient = new ZebecStreamClient(signer);
```

#### Getting Signer Address

You can get the signer's address using the `getSignerAddress()` method:

```javascript
const signerAddress = await client.getSignerAddress();
console.log("Signer Address:", signerAddress);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-evm/zebec-evm-sdk/zebec-stream-client/creating-clients.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
